<nav class="navbar navbar-expand-lg navbar-dark bg-dark nav-tabs">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/">All Sportfields</a>
            </li>
            <% if (payload.userRole == 1) { %>
                <li class="nav-item active">
                    <a class="nav-link" href="/newSportField/new_sportfield">New Sportfield </a>
                </li>
            <% } %>
            <li class="nav-item active">
                <a class="nav-link" href="/reserve/reserve">Reserve</a>
            </li>
            <% if (payload.userRole == 1) { %>
                <li class="nav-item active">
                    <a class="nav-link" href="/users/users">Users</a>
                </li>
            <% } %>
            <% if (payload.userRole == 1) { %>
                <li class="nav-item active">
                    <a class="nav-link" href="/listOfReservations/reservations">Reservations</a>
                </li>
            <% } %>
        </ul>

        <ul class="navbar-nav ms-auto">
            
            <% if (search == 1) { %>
                <form method="POST" class="form-inline" action="/searchSportFieldType">
                    <div class="input-group">
                    <li class="nav-item active">
                        <input  type="search" name = "fieldType" placeholder="Search By Field Type" aria-label="Search">
                    </li>
                    <li class="nav-item active">
                        <button class="btn btn-outline-success " type="submit">Search</button>
                    </li>
                    </div>
                </form>
            <% } %>

            <% if (search == 2) { %>
                <form method="POST" class="form-inline" action="/listOfReservations/searchReservationUsername">
                    <div class="input-group">
                    <li class="nav-item active">
                        <input  type="search" name = "username" placeholder="Search By Username" aria-label="Search">
                    </li>
                    <li class="nav-item active">
                        <button class="btn btn-outline-success " type="submit">Search</button>
                    </li>
                    </div>
                </form>
            <% } %>

            <% if (payload.newUsername) { %>
                <li class="nav-item active">
                    <a class="nav-link" href="/modifyProfile/modifyProfile">User: <%= payload.newUsername  %></a>
                </li>
            <% } %>
 
            <% if (payload.newUsername) { %>
                <li class="nav-item active">
                    <a class="nav-link" href="/auth/logout">Logout</a>
                </li>
            <% } else { %> 
                <li class="nav-item active">
                    <a class="nav-link" href="/auth/login">Login</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="/auth/registration">Registrate</a>
                </li>
            <% } %>
        </ul>
        
        
    </div>
</nav>